Skip to main content
`Ctrl`+`K`

# PCHPDDMHasNeumannMat

Informs `PCHPDDM` that the `Mat` passed to `PCHPDDMSetAuxiliaryMat()` is the local Neumann matrix.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMHasNeumannMat(PC pc, PetscBool has)

## Input Parameters

- pc - preconditioner context

- has - Boolean value

## Notes

This may be used to bypass a call to `MatCreateSubMatrices()` and to `MatConvert()` for `MATSBAIJ` matrices.

If a function is composed with DMCreateNeumannOverlap_C implementation is available in the `DM` attached to the Pmat, or the Amat, or the `PC`, the flag is internally set to `PETSC_TRUE`. Its default value is otherwise `PETSC_FALSE`.

## See Also

KSP: Linear System Solvers, `PCHPDDM`, `PCHPDDMSetAuxiliaryMat()`

## Level

intermediate

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

## Examples

src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex76f.F90

## Implementations

PCHPDDMHasNeumannMat_HPDDM() in src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages